// © Copyrights 2026 Praajna Pattada

#include "Computer.h"
#include <limits>

int main()
{
    Computer Laptop, Desktop; // Creates two objects of the type 'Computer'

    Laptop.name = "Laptop";
    Laptop.CPU = "Intel Core i7";
    Laptop.OS = "Windows 11";
    Laptop.RAM = 16.0f; // 'f' is a suffix used in certain C++ programs to indicate a floating-point value, similar to 'l' for long
    Laptop.RAM_units = "Gigabytes";
    Laptop.deviceType = "Laptop";
    Laptop.show_information(); // Calls the function from our 'Laptop' object

    Desktop.name = "Desktop";
    Desktop.CPU = "Intel Core i5";
    Desktop.OS = "Windows 10";
    Desktop.RAM = 8.0f;
    Desktop.RAM_units = "Gigabytes";
    Desktop.deviceType = "Desktop";
    Desktop.show_information();
    
    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
